 /*   LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di ogni sorta.               */ 
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =16710.IST216.A.2005.1.ESEMPIO_META.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.Ril216_A2005;

INFILE "&path&nomeFile" DLM='09'x  LRECL=4096 TRUNCOVER FIRSTOBS=2  ;
INPUT 
CODICE2_I : 8.   /* codice impresa */
CODICE_L : 8.   /* codice lavoratore */
QUAL1_R : $3.   /* posizione nella professione */
QUAL3_R : $3.   /* carattere dell'occupazione */
CODRIPL : $1.   /* ripartizione geografica di lavoro */
SESSO : $1.   /*  sesso lavoratore */
ETA_R : $8.   /*  classe et lavoratore */
NAZ : $1.   /*  area geografica paese di nascita lavoratore */
ADD_R : $11.   /*  classe addetti impresa */
DIV : $5.   /*  divisione impresa Made in Italy  */
CODRIP : $1.   /* ripartizione geografica sede dell'impresa */
CLRETLOR : $1.   /* classe retribuzione lorda lavoratore */
CLRETNET : $1.   /* classe retribuzione netta lavoratore */
ANNO : $4.   /*  anno di riferimento dei dati */
;
LABEL 
CODICE2_I = "codice impresa"
CODICE_L = "codice lavoratore"
QUAL1_R = "posizione nella professione"
QUAL3_R = "carattere dell'occupazione"
CODRIPL = "ripartizione geografica di lavoro"
SESSO = "sesso lavoratore"
ETA_R = "classe et lavoratore"
NAZ = "area geografica paese di nascita lavoratore"
ADD_R = "classe addetti impresa"
DIV = "divisione impresa Made in Italy "
CODRIP = "ripartizione geografica sede dell'impresa"
CLRETLOR = "classe retribuzione lorda lavoratore"
CLRETNET = "classe retribuzione netta lavoratore"
ANNO = "anno di riferimento dei dati"
;
RUN;
PROC FORMAT;
VALUE $QUA2F /* QUAL1_R */
"alt" = "Altro"
"app" = "Apprendista"
"dir" = "Dirigente/Qaudro"
"imp" = "Impiegato"
"ope" = "Operaio"
;
VALUE $QUA3F /* QUAL3_R */
"det" = "Determinato"
"ind" = "Indeterminato"
;
VALUE $COD4F /* CODRIPL */
"1" = "Nord-ovest"
"2" = "Nord-est"
"3" = "Centro"
"4" = "Sud"
"5" = "Isole"
;
VALUE $SES5F /* SESSO */
"F" = "Femmine"
"M" = "Maschi"
;
VALUE $ETA6F /* ETA_R */
"<25" = "<25 anni"
"25_34" = "25-34 anni"
"35_44" = "35-44 anni"
"45_54" = "45-54 anni"
"55_64" = "55-64 anni"
">64" = ">64 anni"
;
VALUE $NAZ7F /* NAZ */
"C" = "Comunitari"
"E" = "Extra-comunitari"
"I" = "Italiani"
;
VALUE $ADD8F /* ADD_R */
"0_5" = "<=5 addetti"
"100_249" = "100-249 addetti"
"10_19" = "10-19 addetti"
"20_99" = "20-99 addetti"
"250_499" = "250-499 addetti"
">500" = ">=500 addetti"
"6_9" = "6-9 addetti"
;
VALUE $DIV9F /* DIV */
"01" = "AGRICOLTURA, CACCIA E RELATIVI SERVIZI"
"02" = "SILVICOLTURA E UTILIZZAZIONE DI AREE FORESTALI E SERVIZI CONNESSI"
"05" = "PESCA, PISCICOLTURA E SERVIZI CONNESSI"
"10" = "ESTRAZIONE DI CARBON FOSSILE, LIGNITE, TORBA"
"11" = "ESTRAZIONE DI PETROLIO GREGGIO E DI GAS NATURALE E SERVIZI CONNESSI, ESCLUSA LA PROSPEZIONE"
"12" = "ESTRAZIONE DI MINERALI DI URANIO E DI TORIO"
"13" = "ESTRAZIONE DI MINERALI METALLIFERI"
"14" = "ALTRE INDUSTRIE ESTRATTIVE"
"15" = "INDUSTRIE ALIMENTARI E DELLE BEVANDE"
"16" = "INDUSTRIA DEL TABACCO"
"17" = "INDUSTRIE TESSILI"
"18" = "CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; PREPARAZIONE, TINTURA E CONFEZIONE DI PELLICCE"
"19" = "PREPARAZIONE E CONCIA DEL CUOIO; FABBRICAZIONE DI ARTICOLI DA VIAGGIO, BORSE, MAROCCHINERIA, SELLERIA E CALZATURE"
"20" = "INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO, ESCLUSI I MOBILI; FABBRICAZIONE DI ARTICOLI IN MATERIALI DA INTRECCIO"
"21" = "FABBRICAZIONE DELLA PASTA-CARTA, DELLA CARTA E DEL CARTONE E DEI PRODOTTI DI CARTA"
"22" = "EDITORIA, STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI"
"23" = "FABBRICAZIONE DI COKE, RAFFINERIE DI PETROLIO, TRATTAMENTO DEI COMBUSTIBILI NUCLEARI"
"24" = "FABBRICAZIONE DI PRODOTTI CHIMICI E DI FIBRE SINTETICHE E ARTIFICIALI"
"25" = "FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE"
"26" = "FABBRICAZIONE DI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI"
"27" = "METALLURGIA"
"28" = "FABBRICAZIONE E LAVORAZIONE DEI PRODOTTI IN METALLO, ESCLUSI MACCHINE E IMPIANTI"
"29" = "FABBRICAZIONE DI MACCHINE ED APPARECCHI MECCANICI"
"30" = "FABBRICAZIONE DI MACCHINE PER UFFICIO, DI ELABORATORI E SISTEMI INFORMATICI"
"31" = "FABBRICAZIONE DI MACCHINE ED APPARECCHI ELETTRICI N.C.A."
"32" = "FABBRICAZIONE DI APPARECCHI RADIOTELEVISIVI E DI APPARECCHIATURE PER LE COMUNICAZIONI"
"33" = "FABBRICAZIONE DI APPARECCHI MEDICALI, DI APPARECCHI DI PRECISIONE, DI STRUMENTI OTTICI E DI OROLOGI"
"34" = "FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI"
"35" = "FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO"
"36" = "FABBRICAZIONE DI MOBILI; ALTRE INDUSTRIE MANIFATTURIERE"
"37" = "RECUPERO E PREPARAZIONE PER IL RICICLAGGIO"
"40" = "PRODUZIONE E DISTRIBUZIONE DI ENERGIA ELETTRICA, DI GAS, DI CALORE"
"41" = "RACCOLTA, DEPURAZIONE E DISTRIBUZIONE D'ACQUA"
"45" = "COSTRUZIONI"
"50" = "COMMERCIO, MANUTENZIONE E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI; VENDITA AL DETTAGLIO DI CARBURANTI PER AUTOTRAZIONE"
"51" = "COMMERCIO ALL'INGROSSO E INTERMEDIARI DEL COMMERCIO, AUTOVEICOLI E MOTOCICLI ESCLUSI"
"52" = "COMMERCIO AL DETTAGLIO, ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI; RIPARAZIONE DI BENI PERSONALI E PER LA CASA"
"55" = "ALBERGHI E RISTORANTI"
"60" = "TRASPORTI TERRESTRI; TRASPORTI MEDIANTE CONDOTTE"
"61" = "TRASPORTI MARITTIMI E PER VIE D'ACQUA"
"62" = "TRASPORTI AEREI"
"63" = "ATTIVIT DI SUPPORTO ED AUSILIARIE DEI TRASPORTI; ATTIVIT DELLE AGENZIE DI VIAGGIO"
"64" = "POSTE E TELECOMUNICAZIONI"
"65" = "INTERMEDIAZIONE MONETARIA E FINANZIARIA (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)"
"66" = "ASSICURAZIONI E FONDI PENSIONE, ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE"
"67" = "ATTIVIT AUSILIARIE DELL'INTERMEDIAZIONE FINANZIARIA E DELLE ASSICURAZIONI"
"70" = "ATTIVIT IMMOBILIARI"
"71" = "NOLEGGIO DI MACCHINARI E ATTREZZATURE SENZA OPERATORE E DI BENI PER USO PERSONALE E DOMESTICO"
"72" = "INFORMATICA E ATTIVIT CONNESSE"
"73" = "RICERCA E SVILUPPO"
"74" = "ATTIVIT DI SERVIZI ALLE IMPRESE"
"75" = "AMMINISTRAZIONE PUBBLICA"
"80" = "ISTRUZIONE"
"85" = "SANIT E ASSISTENZA SOCIALE"
"90" = "SMALTIMENTO DEI RIFIUTI SOLIDI, DELLE ACQUE DI SCARICO E SIMILI"
"91" = "ATTIVIT DI ORGANIZZAZIONI ASSOCIATIVE"
"92" = "ATTIVIT RICREATIVE, CULTURALI E SPORTIVE"
"93" = "SERVIZI ALLE FAMIGLIE"
"95" = "ATTIVIT DI DATORE DI LAVORO PER PERSONALE DOMESTICO SVOLTO DA FAMIGLIE E CONVIVENZE"
"96" = "PRODUZIONE DI BENI PER USO PROPRIO DA PARTE DI FAMIGLIE E CONVIVENZE"
"97" = "PRODUZIONE DI SERVIZI PER USO PROPRIO DA PARTE DI FAMIGLIE E CONVIVENZE"
"99" = "ORGANIZZAZIONI ED ORGANISMI EXTRATERRITORIALI"
;
VALUE $COD10F /* CODRIP */
"1" = "Nord-ovest"
"2" = "Nord-est"
"3" = "Centro"
"4" = "Sud"
"5" = "Isole"
;
VALUE $CLR11F /* CLRETLOR */
"1" = "<=15 mila euro"
"2" = "15-18 mila euro (estremi superiori inclusi)"
"3" = "18-21 mila euro (estremi superiori inclusi)"
"4" = "21-26 mila euro (estremi superiori inclusi)"
"5" = "26-31 mila euro (estremi superiori inclusi)"
"6" = "31-41 mila euro (estremi superiori inclusi)"
"7" = ">41 mila euro"
;
VALUE $CLR12F /* CLRETNET */
"1" = "<=12 mila euro"
"2" = "12-15 mila euro (estremi superiori inclusi)"
"3" = "15-18 mila euro (estremi superiori inclusi)"
"4" = "18-21 mila euro (estremi superiori inclusi)"
"5" = "21-26 mila euro (estremi superiori inclusi)"
"6" = "26-31 mila euro (estremi superiori inclusi)"
"7" = "31-41 mila euro (estremi superiori inclusi)"
"8" = ">41 mila euro"
;
format QUAL1_R $QUA2F.;
format QUAL3_R $QUA3F.;
format CODRIPL $COD4F.;
format SESSO $SES5F.;
format ETA_R $ETA6F.;
format NAZ $NAZ7F.;
format ADD_R $ADD8F.;
format DIV $DIV9F.;
format CODRIP $COD10F.;
format CLRETLOR $CLR11F.;
format CLRETNET $CLR12F.;
RUN;
