 /*   LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di ogni sorta.               */ 
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =16710.IST216.A.2008.1.ESEMPIO_META.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.Ril216_A2008;

INFILE "&path&nomeFile" DLM='09'x  LRECL=4096 TRUNCOVER FIRSTOBS=2  ;
INPUT 
CODICE2_I : 8.   /* codice impresa */
CODICE_L : 8.   /* codice lavoratore */
QUAL1_R : $3.   /* posizione nella professione */
QUAL3_R : $3.   /* carattere dell'occupazione */
CODRIPL : $1.   /* ripartizione geografica di lavoro */
SESSO : $1.   /*  sesso lavoratore */
ETA_R : $8.   /*  classe et lavoratore */
NAZ : $1.   /*  area geografica paese di nascita lavoratore */
ADD_R : $11.   /*  classe addetti impresa */
DIV : $5.   /*  divisione impresa Made in Italy  */
CODRIP : $1.   /* ripartizione geografica sede dell'impresa */
CLRETLOR : $1.   /* classe retribuzione lorda lavoratore */
CLRETNET : $1.   /* classe retribuzione netta lavoratore */
ANNO : $4.   /*  anno di riferimento dei dati */
;
LABEL 
CODICE2_I = "codice impresa"
CODICE_L = "codice lavoratore"
QUAL1_R = "posizione nella professione"
QUAL3_R = "carattere dell'occupazione"
CODRIPL = "ripartizione geografica di lavoro"
SESSO = "sesso lavoratore"
ETA_R = "classe et lavoratore"
NAZ = "area geografica paese di nascita lavoratore"
ADD_R = "classe addetti impresa"
DIV = "divisione impresa Made in Italy "
CODRIP = "ripartizione geografica sede dell'impresa"
CLRETLOR = "classe retribuzione lorda lavoratore"
CLRETNET = "classe retribuzione netta lavoratore"
ANNO = "anno di riferimento dei dati"
;
RUN;
PROC FORMAT;
VALUE $QUA2F /* QUAL1_R */
"alt" = "Altro"
"app" = "Apprendista"
"dir" = "Dirigente/Qaudro"
"imp" = "Impiegato"
"ope" = "Operaio"
;
VALUE $QUA3F /* QUAL3_R */
"det" = "Determinato"
"ind" = "Indeterminato"
;
VALUE $COD4F /* CODRIPL */
"1" = "Nord-ovest"
"2" = "Nord-est"
"3" = "Centro"
"4" = "Sud"
"5" = "Isole"
;
VALUE $SES5F /* SESSO */
"F" = "Femmine"
"M" = "Maschi"
;
VALUE $ETA6F /* ETA_R */
"<25" = "<25 anni"
"25_34" = "25-34 anni"
"35_44" = "35-44 anni"
"45_54" = "45-54 anni"
"55_64" = "55-64 anni"
">64" = ">64 anni"
;
VALUE $NAZ7F /* NAZ */
"C" = "Comunitari"
"E" = "Extra-comunitari"
"I" = "Italiani"
;
VALUE $ADD8F /* ADD_R */
"0_5" = "<=5 addetti"
"100_249" = "100-249 addetti"
"10_19" = "10-19 addetti"
"20_99" = "20-99 addetti"
"250_499" = "250-499 addetti"
">500" = ">=500 addetti"
"6_9" = "6-9 addetti"
;
VALUE $DIV9F /* DIV */
"01" = "COLTIVAZIONI AGRICOLE E PRODUZIONE DI PRODOTTI ANIMALI, CACCIA E SERVIZI CONNESSI"
"02" = "SILVICOLTURA ED UTILIZZO DI AREE FORESTALI"
"03" = "PESCA E ACQUACOLTURA"
"05" = "ESTRAZIONE DI CARBONE (ESCLUSA TORBA)"
"06" = "ESTRAZIONE DI PETROLIO GREGGIO E DI GAS NATURALE"
"07" = "ESTRAZIONE DI MINERALI METALLIFERI"
"08" = "ALTRE ATTIVIT DI ESTRAZIONE DI MINERALI DA CAVE E MINIERE"
"09" = "ATTIVIT DEI SERVIZI DI SUPPORTO ALL'ESTRAZIONE"
"10" = "INDUSTRIE ALIMENTARI"
"11" = "INDUSTRIA DELLE BEVANDE"
"12" = "INDUSTRIA DEL TABACCO"
"13" = "INDUSTRIE TESSILI"
"14" = "CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA"
"15" = "FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI"
"16" = "INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO"
"17" = "FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA"
"18" = "STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI"
"19" = "FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO"
"20" = "FABBRICAZIONE DI PRODOTTI CHIMICI"
"21" = "FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI"
"22" = "FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE"
"23" = "FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI"
"24" = "METALLURGIA"
"25" = "FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)"
"26" = "FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI"
"27" = "FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE"
"28" = "FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA"
"29" = "FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI"
"30" = "FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO"
"31" = "FABBRICAZIONE DI MOBILI"
"32" = "ALTRE INDUSTRIE MANIFATTURIERE"
"33" = "RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE"
"35" = "FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA"
"36" = "RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA"
"37" = "GESTIONE DELLE RETI FOGNARIE"
"38" = "ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI"
"39" = "ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI"
"41" = "COSTRUZIONE DI EDIFICI"
"42" = "INGEGNERIA CIVILE"
"43" = "LAVORI DI COSTRUZIONE SPECIALIZZATI"
"45" = "COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI"
"46" = "COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)"
"47" = "COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)"
"49" = "TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE"
"50" = "TRASPORTO MARITTIMO E PER VIE D'ACQUA"
"51" = "TRASPORTO AEREO"
"52" = "MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI"
"53" = "SERVIZI POSTALI E ATTIVIT DI CORRIERE"
"55" = "ALLOGGIO"
"56" = "ATTIVIT DEI SERVIZI DI RISTORAZIONE"
"58" = "ATTIVIT EDITORIALI"
"59" = "ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE"
"60" = "ATTIVIT DI PROGRAMMAZIONE E TRASMISSIONE"
"61" = "TELECOMUNICAZIONI"
"62" = "PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE"
"63" = "ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI"
"64" = "ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)"
"65" = "ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)"
"66" = "ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE"
"68" = "ATTIVIT IMMOBILIARI"
"69" = "ATTIVIT LEGALI E CONTABILIT"
"70" = "ATTIVIT DI DIREZIONE AZIENDALE E DI CONSULENZA GESTIONALE"
"71" = "ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE"
"72" = "RICERCA SCIENTIFICA E SVILUPPO"
"73" = "PUBBLICIT E RICERCHE DI MERCATO"
"74" = "ALTRE ATTIVIT PROFESSIONALI, SCIENTIFICHE E TECNICHE"
"75" = "SERVIZI VETERINARI"
"77" = "ATTIVIT DI NOLEGGIO E LEASING OPERATIVO"
"78" = "ATTIVIT DI RICERCA, SELEZIONE, FORNITURA DI PERSONALE"
"79" = "ATTIVIT DEI SERVIZI DELLE AGENZIE DI VIAGGIO, DEI TOUR OPERATOR E SERVIZI DI PRENOTAZIONE E ATTIVIT CONNESSE"
"80" = "SERVIZI DI VIGILANZA E INVESTIGAZIONE"
"81" = "ATTIVIT DI SERVIZI PER EDIFICI E PAESAGGIO"
"82" = "ATTIVIT DI SUPPORTO PER LE FUNZIONI D'UFFICIO E ALTRI SERVIZI DI SUPPORTO ALLE IMPRESE"
"84" = "AMMINISTRAZIONE PUBBLICA E DIFESA; ASSICURAZIONE SOCIALE OBBLIGATORIA"
"85" = "ISTRUZIONE"
"86" = "ASSISTENZA SANITARIA"
"87" = "SERVIZI DI ASSISTENZA SOCIALE RESIDENZIALE"
"88" = "ASSISTENZA SOCIALE NON RESIDENZIALE"
"90" = "ATTIVIT CREATIVE, ARTISTICHE E DI INTRATTENIMENTO"
"91" = "ATTIVIT DI BIBLIOTECHE, ARCHIVI, MUSEI ED ALTRE ATTIVIT CULTURALI"
"92" = "ATTIVIT RIGUARDANTI LE LOTTERIE, LE SCOMMESSE, LE CASE DA GIOCO"
"93" = "ATTIVIT SPORTIVE, DI INTRATTENIMENTO E DI DIVERTIMENTO"
"94" = "ATTIVIT DI ORGANIZZAZIONI ASSOCIATIVE"
"95" = "RIPARAZIONE DI COMPUTER E DI BENI PER USO PERSONALE E PER LA CASA"
"96" = "ALTRE ATTIVIT DI SERVIZI PER LA PERSONA"
"97" = "ATTIVIT DI FAMIGLIE E CONVIVENZE COME DATORI DI LAVORO PER PERSONALE DOMESTICO"
"98" = "PRODUZIONE DI BENI E SERVIZI INDIFFERENZIATI  PER USO PROPRIO DA PARTE DI  FAMIGLIE E CONVIVENZE"
"99" = "ORGANIZZAZIONI ED ORGANISMI EXTRATERRITORIALI"
;
VALUE $COD10F /* CODRIP */
"1" = "Nord-ovest"
"2" = "Nord-est"
"3" = "Centro"
"4" = "Sud"
"5" = "Isole"
;
VALUE $CLR11F /* CLRETLOR */
"1" = "<=15 mila euro"
"2" = "15-18 mila euro (estremi superiori inclusi)"
"3" = "18-21 mila euro (estremi superiori inclusi)"
"4" = "21-26 mila euro (estremi superiori inclusi)"
"5" = "26-31 mila euro (estremi superiori inclusi)"
"6" = "31-41 mila euro (estremi superiori inclusi)"
"7" = ">41 mila euro"
;
VALUE $CLR12F /* CLRETNET */
"1" = "<=12 mila euro"
"2" = "12-15 mila euro (estremi superiori inclusi)"
"3" = "15-18 mila euro (estremi superiori inclusi)"
"4" = "18-21 mila euro (estremi superiori inclusi)"
"5" = "21-26 mila euro (estremi superiori inclusi)"
"6" = "26-31 mila euro (estremi superiori inclusi)"
"7" = "31-41 mila euro (estremi superiori inclusi)"
"8" = ">41 mila euro"
;
format QUAL1_R $QUA2F.;
format QUAL3_R $QUA3F.;
format CODRIPL $COD4F.;
format SESSO $SES5F.;
format ETA_R $ETA6F.;
format NAZ $NAZ7F.;
format ADD_R $ADD8F.;
format DIV $DIV9F.;
format CODRIP $COD10F.;
format CLRETLOR $CLR11F.;
format CLRETNET $CLR12F.;
RUN;
